Index: code/branches/gamecontent/data/levels/dynamicMatch.oxw
===================================================================
--- code/branches/gamecontent/data/levels/dynamicMatch.oxw	(revision 8910)
+++ code/branches/gamecontent/data/levels/dynamicMatch.oxw	(revision 8922)
@@ -33,4 +33,5 @@
 
 <!-- -----------12-Spawnpoints around the planet------------- -->
+<!-- inner Spawnpoints -->
 <TeamSpawnPoint team=0 position="1000,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff/>
 <TeamSpawnPoint team=0 position="-1000,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff/>
Index: code/branches/gamecontent/data/levels/lastManStanding.oxw
===================================================================
--- code/branches/gamecontent/data/levels/lastManStanding.oxw	(revision 8910)
+++ code/branches/gamecontent/data/levels/lastManStanding.oxw	(revision 8922)
@@ -51,5 +51,5 @@
                     <Model position="0,0,0" scale=140 mesh="asteroid_UV.mesh" shadow=true />
                     <Model position="-160,40,28.4" scale=1 mesh="sphere.mesh" /><!--EasterEgg indicator-->
-                    <PickupSpawner position="-160,40,17" triggerDistance="20" respawnTime="5" maxSpawnedItems="15"><!--EasterEgg-->
+                    <PickupSpawner position="-160,40,17" triggerDistance="20" respawnTime="5" maxSpawnedItems="15"><!--EasterEgg : invisible pickup is hidden inside the asteroid -->
                         <pickup>
                             <InvisiblePickup template=hugeinvisiblepickup />
Index: code/branches/gamecontent/data/levels/lastTeamStandingII.oxw
===================================================================
--- code/branches/gamecontent/data/levels/lastTeamStandingII.oxw	(revision 8910)
+++ code/branches/gamecontent/data/levels/lastTeamStandingII.oxw	(revision 8922)
@@ -95,4 +95,5 @@
    </StaticEntity>
 <!-- END of CUBE-->
+
 <!-------------- Centered Thin Gate -------------->
 
@@ -412,5 +413,5 @@
     <TeamSpawnPoint team=3 position="845,350,835" direction="0,0,-1" spawnclass=SpaceShip pawndesign=spaceshipassff />
     <TeamSpawnPoint team=3 position="845,-300,835" direction="-1,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
-<Bot />
+<Bot /><!-- at least one bot is needed to stat the game properly. Else the game finishes. This could be avoided, if the menue allows a preselection of the number of players. --> 
 
   </Scene>
Index: code/branches/gamecontent/data/levels/missionOne.oxw
===================================================================
--- code/branches/gamecontent/data/levels/missionOne.oxw	(revision 8910)
+++ code/branches/gamecontent/data/levels/missionOne.oxw	(revision 8922)
@@ -96,5 +96,14 @@
         </QuestEffectBeacon>
 
-        <!-- //TODO: end weaponsystemI -->
+<!--helper trigger to end the weaponsystemI quest -->
+    <DistanceTrigger name="boxend" position="0,0,0" distance=950 target="SpaceShip" stayActive="false" delay=0.1>
+              <EventTrigger>
+                <events>
+                  <trigger>
+                    <EventListener event="boxtrigger4" />
+                  </trigger>
+                </events>
+              </EventTrigger>
+    </DistanceTrigger>
 
         <QuestEffectBeacon times=1>
@@ -104,10 +113,19 @@
             <events>
                 <execute>
-                    <EventListener event="boxtrigger4" />
+                    <EventListener event="boxend" />
                 </execute>
             </events>
         </QuestEffectBeacon>
 
-
+<!--helper trigger to end the weaponsystemII quest -->
+    <DistanceTrigger name="piratesend" position="0,0,0" distance=2000 target="SpaceShip" stayActive="false" delay=0.1>
+              <EventTrigger>
+                <events>
+                  <trigger>
+                    <EventListener event="movingpirates2" />
+                  </trigger>
+                </events>
+              </EventTrigger>
+    </DistanceTrigger>
 
         <QuestEffectBeacon times=1>
@@ -117,8 +135,20 @@
             <events>
                 <execute>
-                    <EventListener event=movingpirates2 />
+                    <EventListener event=piratesend />
                 </execute>
             </events>
         </QuestEffectBeacon>
+
+<!--helper trigger to end the DuBallStation quest -->
+    <DistanceTrigger name="duballend" position="-1000,-300,700" distance=2000 target="SpaceShip" stayActive="false" delay=0.1>
+              <EventTrigger>
+                <events>
+                  <trigger>
+                    <EventListener event="duball3" />
+                  </trigger>
+                </events>
+              </EventTrigger>
+    </DistanceTrigger>
+
 
         <QuestEffectBeacon times=1>
@@ -128,8 +158,19 @@
             <events>
                 <execute>
-                    <EventListener event=duball3 />
+                    <EventListener event=duballend />
                 </execute>
             </events>
         </QuestEffectBeacon>
+
+<!--helper trigger to end the getHelp quest -->
+    <DistanceTrigger name="getHelpEnd" position="-48900,0,0" distance=2000 target="SpaceShip" stayActive="false" delay=0.1>
+              <EventTrigger>
+                <events>
+                  <trigger>
+                    <EventListener event="ondock" />
+                  </trigger>
+                </events>
+              </EventTrigger>
+    </DistanceTrigger>
 
         <QuestEffectBeacon times=1>
@@ -139,8 +180,19 @@
             <events>
                 <execute>
-                    <EventListener event=ondock />
+                    <EventListener event=getHelpEnd />
                 </execute>
             </events>
         </QuestEffectBeacon>
+
+<!--helper trigger to end the getHome quest -->
+    <DistanceTrigger name="getHomeEnd" position="0,0,0" distance=4000 target="SpaceShip" stayActive="false" delay=0.1>
+              <EventTrigger>
+                <events>
+                  <trigger>
+                    <EventListener event="attack" />
+                  </trigger>
+                </events>
+              </EventTrigger>
+    </DistanceTrigger>
 
         <QuestEffectBeacon times=1>
@@ -150,8 +202,19 @@
             <events>
                 <execute>
-                    <EventListener event=attack />
+                    <EventListener event=getHomeEnd />
                 </execute>
             </events>
         </QuestEffectBeacon>
+
+<!--helper trigger to end the defence quest -->
+    <DistanceTrigger name="defenceEnd" position="0,0,0" distance=4000 target="SpaceShip" stayActive="false" delay=0.1>
+              <EventTrigger>
+                <events>
+                  <trigger>
+                    <EventListener event="attacktrigger6" />
+                  </trigger>
+                </events>
+              </EventTrigger>
+    </DistanceTrigger>
 
         <QuestEffectBeacon times=1>
@@ -161,5 +224,5 @@
             <events>
                 <execute>
-                    <EventListener event=attacktrigger6 />
+                    <EventListener event=defenceEnd />
                 </execute>
             </events>
Index: code/branches/gamecontent/data/levels/templates/spaceshipSpacecruiser.oxt
===================================================================
--- code/branches/gamecontent/data/levels/templates/spaceshipSpacecruiser.oxt	(revision 8910)
+++ code/branches/gamecontent/data/levels/templates/spaceshipSpacecruiser.oxt	(revision 8922)
@@ -67,5 +67,5 @@
     </collisionShapes>
 <?lua
-  include("includes/weaponSettingsSpacecruiser.oxi")
+  include("../includes/weaponSettingsSpacecruiser.oxi")
 ?>
   </SpaceShip>
